TechDraw 3PtAngleDimension: Difference between revisions

From FreeCAD Documentation
No edit summary
No edit summary
(40 intermediate revisions by 9 users not shown)
Line 1: Line 1:
<languages/>
<languages/>
<translate>
<translate>

<!--T:22-->
{{Docnav
|[[TechDraw_AngleDimension|AngleDimension]]
|[[TechDraw_HorizontalExtentDimension|HorizontalExtentDimension]]
|[[TechDraw_Workbench|TechDraw]]
|IconL=TechDraw_AngleDimension.svg
|IconR=TechDraw_HorizontalExtentDimension.svg
|IconC=Workbench_TechDraw.svg
}}

<!--T:1-->
<!--T:1-->
{{GuiCommand
{{GuiCommand|Name=TechDraw Dimension Angle3Pt|Workbenches=[[TechDraw Module|TechDraw]]|MenuLocation=TechDraw → Dimension Angle3Pt|Shortcut=|SeeAlso=}}
|Name=TechDraw 3PtAngleDimension
|MenuLocation=TechDraw → Insert 3-Point Angle Dimension
|Workbenches=[[TechDraw_Workbench|TechDraw]]
|Version=0.18
|SeeAlso=[[TechDraw_AngleDimension|TechDraw AngleDimension]]
}}


==Description== <!--T:2-->
==Description== <!--T:2-->
The Dimension Angle3Pt tool adds a angular dimension to a View. The dimension may be specified by selecting three Vertices on a View. Note that the second of the three Vertices is the apex of the angle. The Angle3Pt will initially be the projected angle (ie as shown on the drawing), but this may be changed to the actual 3D angle using the Link Dimension [[Image:LinkDimension.png|24px]] tool.
[[File:AngleSample.png|200px|center]]


==How to use== <!--T:3-->
<!--T:8-->
The 3-Point Angle Dimension tool adds a angular dimension to a View. The dimension may be specified by selecting three Vertices on a View. '''Note that the second of the three Vertices is the apex of the angle'''. The Angle3Pt will initially be the projected angle (ie as shown on the drawing), but this may be changed to the actual 3D distance using the {{Button|[[Image:TechDraw_LinkDimension.svg|16px]] [[TechDraw_LinkDimension|TechDraw LinkDimension]]}} tool.

</translate>
[[Image:TechDraw_Dimension_Angle3Pt_example.png|200px]]
<translate>
<!--T:14-->
{{Caption|Measuring the angle between two straight lines using three vertices; the second vertex should be the apex of the angle}}

==Usage== <!--T:3-->

<!--T:9-->
# Select the points or edge which define your measurement.
# Select the points or edge which define your measurement.
# Press the {{KEY|[[Image:TechDraw_Dimension_Angle3Pt.png|24px]] [[TechDraw Dimension Angle3Pt|Dimension Angle3Pt]]}} button
# Press the {{Button|[[Image:TechDraw_3PtAngleDimension.svg|16px]] [[TechDraw_3PtAngleDimension|3-Point Angle Dimension]]}} button
# A dimension will be added to the View. The dimension may be dragged to the desired position.
# A dimension will be added to the View. The dimension may be dragged to the desired position.
# If needed, add tolerances as described in [[TechDraw_Geometric_dimensioning_and_tolerancing#Tolerances|this page]].


==Options== <!--T:4-->
<!--T:24-->
To change the properties of a dimension object either double-clicking it in the drawing or in the [[Tree_view|Tree view]]. This will open the [[TechDraw_LengthDimension#Dimension_dialog|dimension dialog]].
None.

== Limitations == <!--T:15-->

<!--T:16-->
Dimension objects are vulnerable to the "[[Topological_naming_problem|topological naming problem]]". See [[TechDraw_LengthDimension|TechDraw LengthDimension]] for more information.


==Properties== <!--T:5-->
==Properties== <!--T:5-->

{{TechDraw DimProps}}
<!--T:17-->
See [[TechDraw_LengthDimension#Properties|TechDraw LengthDimension]].


==Scripting== <!--T:6-->
==Scripting== <!--T:6-->

Angle3Pt dimensions can be added to Pages using Python.
<!--T:18-->
{{Emphasis|See also:}} [[TechDraw_API|TechDraw API]] and [[FreeCAD_Scripting_Basics|FreeCAD Scripting Basics]].

<!--T:19-->
The 3-Point Angle Dimension tool can be used in [[Macros|macros]] and from the [[Python|Python]] console by using the following functions:

</translate>
</translate>
{{Code|code=
{{Code|code=
Line 29: Line 69:
}}
}}
<translate>
<translate>

==Notes== <!--T:7-->

* None at this time
<!--T:23-->
{{Docnav
|[[TechDraw_AngleDimension|AngleDimension]]
|[[TechDraw_HorizontalExtentDimension|HorizontalExtentDimension]]
|[[TechDraw_Workbench|TechDraw]]
|IconL=TechDraw_AngleDimension.svg
|IconR=TechDraw_HorizontalExtentDimension.svg
|IconC=Workbench_TechDraw.svg
}}

</translate>
</translate>
{{TechDraw Tools navi{{#translation:}}}}
{{Userdocnavi{{#translation:}}}}
{{clear}}
{{clear}}

Revision as of 17:53, 15 September 2021

TechDraw 3PtAngleDimension

Menu location
TechDraw → Insert 3-Point Angle Dimension
Workbenches
TechDraw
Default shortcut
None
Introduced in version
0.18
See also
TechDraw AngleDimension

Description

The 3-Point Angle Dimension tool adds a angular dimension to a View. The dimension may be specified by selecting three Vertices on a View. Note that the second of the three Vertices is the apex of the angle. The Angle3Pt will initially be the projected angle (ie as shown on the drawing), but this may be changed to the actual 3D distance using the TechDraw LinkDimension tool.

Measuring the angle between two straight lines using three vertices; the second vertex should be the apex of the angle

Usage

  1. Select the points or edge which define your measurement.
  2. Press the 3-Point Angle Dimension button
  3. A dimension will be added to the View. The dimension may be dragged to the desired position.
  4. If needed, add tolerances as described in this page.

To change the properties of a dimension object either double-clicking it in the drawing or in the Tree view. This will open the dimension dialog.

Limitations

Dimension objects are vulnerable to the "topological naming problem". See TechDraw LengthDimension for more information.

Properties

See TechDraw LengthDimension.

Scripting

See also: TechDraw API and FreeCAD Scripting Basics.

The 3-Point Angle Dimension tool can be used in macros and from the Python console by using the following functions:

dim1 = FreeCAD.ActiveDocument.addObject('TechDraw::DrawViewDimension','Dimension')
dim1.Type = "Angle3Pt"
dim1.References2D=[(view1, 'Vertex1',(view1, 'Vertex4'),(view1, 'Vertex2'))]
rc = page.addView(dim1)